# Uses of Class
com.clickhouse.jdbc.parser.ParseHandler

Packages that use ParseHandler
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.parser

## Uses of ParseHandler in com.clickhouse.jdbc

Subclasses of ParseHandler in com.clickhouse.jdbc
Modifier and Type
Class
Description
`class`
`JdbcParseHandler`
Deprecated.
Fields in com.clickhouse.jdbc declared as ParseHandler
Modifier and Type
Field
Description
`static final ParseHandler`
JdbcParseHandler.`INSTANCE`
Deprecated.

## Uses of ParseHandler in com.clickhouse.jdbc.parser

Methods in com.clickhouse.jdbc.parser with parameters of type ParseHandler
Modifier and Type
Method
Description
`static ClickHouseSqlStatement[]`
ClickHouseSqlParser.`parse(String sql, ClickHouseConfig config, ParseHandler handler)`
Constructors in com.clickhouse.jdbc.parser with parameters of type ParseHandler
Modifier
Constructor
Description
``
`ClickHouseSqlParser(String sql, ClickHouseConfig config, ParseHandler handler)`